import { Button, Flex, Stack } from '@chakra-ui/react';
import Head from 'next/head';
import { Input } from '../components/Form/Input';

export default function SignIn() {
  return (
    <>
      <Head>
        <title>SIGEH</title>
        <meta name='description' content='Generated by create next app' />
        <meta name='viewport' content='width=device-width, initial-scale=1' />
        <link rel='icon' href='/favicon.ico' />
      </Head>
      <Flex w='100vw' h='100vh' align='center' justify='center'>
        <Flex
          as='form'
          width='100%'
          maxWidth={360}
          bg='gray.800'
          p='8'
          borderRadius={8}
          flexDir='column'
        >
          <Stack spacing={4}>
            <Input name='email' type='email' label='E-mail' />
            <Input name='password' type='password' label='Senha' />
          </Stack>

          <Button type='submit' mt='6' colorScheme='pink' size='lg'>
            Entrar
          </Button>
        </Flex>
      </Flex>
    </>
  );
}
